Skip to content
Ona Docs

SetSuspended

POST/gitpod.v1.UserService/SetSuspended

Sets whether a user account is suspended.

Use this method to:

  • Suspend problematic users
  • Reactivate suspended accounts
  • Manage user access

Examples

  • Suspend user:

    Suspends a user account.

    userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    suspended: true
  • Reactivate user:

    Removes suspension from a user account.

    userId: "f53d2330-3795-4c5d-a1f3-453121af9c60"
    suspended: false
Body ParametersJSONExpand Collapse
suspended: optional boolean
userId: optional string
formatuuid

SetSuspended

curl https://app.gitpod.io/api/gitpod.v1.UserService/SetSuspended \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}